## DMS UIM Change PIN request

DMS UIM Change PIN request

## Functions

QmiMessageDmsUimChangePinInput * | qmi_message_dms_uim_change_pin_input_new ()
QmiMessageDmsUimChangePinInput * | qmi_message_dms_uim_change_pin_input_ref ()
void | qmi_message_dms_uim_change_pin_input_unref ()
gboolean | qmi_message_dms_uim_change_pin_input_get_info ()
gboolean | qmi_message_dms_uim_change_pin_input_set_info ()
QmiMessageDmsUimChangePinOutput * | qmi_message_dms_uim_change_pin_output_ref ()
void | qmi_message_dms_uim_change_pin_output_unref ()
gboolean | qmi_message_dms_uim_change_pin_output_get_result ()
gboolean | qmi_message_dms_uim_change_pin_output_get_pin_retries_status ()
void | qmi_client_dms_uim_change_pin ()
QmiMessageDmsUimChangePinOutput * | qmi_client_dms_uim_change_pin_finish ()

## Types and Values

| QmiMessageDmsUimChangePinInput
| QmiMessageDmsUimChangePinOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsUimChangePinInput
        ╰── QmiMessageDmsUimChangePinOutput

## Description

## Functions

### qmi_message_dms_uim_change_pin_input_new ()

    QmiMessageDmsUimChangePinInput *
    qmi_message_dms_uim_change_pin_input_new
                                   (void);

Allocates a new QmiMessageDmsUimChangePinInput.

#### Returns

the newly created QmiMessageDmsUimChangePinInput. The returned value should be freed with `qmi_message_dms_uim_change_pin_input_unref()`.

Since: 1.0

### qmi_message_dms_uim_change_pin_input_ref ()

    QmiMessageDmsUimChangePinInput *
    qmi_message_dms_uim_change_pin_input_ref
                                   (QmiMessageDmsUimChangePinInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimChangePinInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_uim_change_pin_input_unref ()

    void
    qmi_message_dms_uim_change_pin_input_unref
                                   (QmiMessageDmsUimChangePinInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimChangePinInput. |

Since: 1.0

### qmi_message_dms_uim_change_pin_input_get_info ()

    gboolean
    qmi_message_dms_uim_change_pin_input_get_info
                                   (QmiMessageDmsUimChangePinInput *self,
                                    QmiDmsUimPinId *value_info_pin_id,
                                    const gchar **value_info_old_pin,
                                    const gchar **value_info_new_pin,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageDmsUimChangePinInput. |
value_info_pin_id | a placeholder for the output QmiDmsUimPinId, or `NULL` if not required. |
value_info_old_pin | a placeholder for the output constant string, or `NULL` if not required. |
value_info_new_pin | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_uim_change_pin_input_set_info ()

    gboolean
    qmi_message_dms_uim_change_pin_input_set_info
                                   (QmiMessageDmsUimChangePinInput *self,
                                    QmiDmsUimPinId value_info_pin_id,
                                    const gchar *value_info_old_pin,
                                    const gchar *value_info_new_pin,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageDmsUimChangePinInput. |
value_info_pin_id | a QmiDmsUimPinId. |
value_info_old_pin | a constant string. |
value_info_new_pin | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_uim_change_pin_output_ref ()

    QmiMessageDmsUimChangePinOutput *
    qmi_message_dms_uim_change_pin_output_ref
                                   (QmiMessageDmsUimChangePinOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimChangePinOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_uim_change_pin_output_unref ()

    void
    qmi_message_dms_uim_change_pin_output_unref
                                   (QmiMessageDmsUimChangePinOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimChangePinOutput. |

Since: 1.0

### qmi_message_dms_uim_change_pin_output_get_result ()

    gboolean
    qmi_message_dms_uim_change_pin_output_get_result
                                   (QmiMessageDmsUimChangePinOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsUimChangePinOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_dms_uim_change_pin_output_get_pin_retries_status ()

    gboolean
    qmi_message_dms_uim_change_pin_output_get_pin_retries_status
                                   (QmiMessageDmsUimChangePinOutput *self,
                                    guint8 *value_pin_retries_status_verify_retries_left,
                                    guint8 *value_pin_retries_status_unblock_retries_left,
                                    GError **error);

Get the 'Pin Retries Status' field from `self` .

#### Parameters

self | a QmiMessageDmsUimChangePinOutput. |
value_pin_retries_status_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
value_pin_retries_status_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_dms_uim_change_pin ()

    void
    qmi_client_dms_uim_change_pin (QmiClientDms *self,
                                   QmiMessageDmsUimChangePinInput *input,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a UIM Change PIN request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_uim_change_pin_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsUimChangePinInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_uim_change_pin_finish ()

    QmiMessageDmsUimChangePinOutput *
    qmi_client_dms_uim_change_pin_finish (QmiClientDms *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_dms_uim_change_pin()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_uim_change_pin()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsUimChangePinOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_uim_change_pin_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsUimChangePinInput

    typedef struct _QmiMessageDmsUimChangePinInput QmiMessageDmsUimChangePinInput;

The QmiMessageDmsUimChangePinInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsUimChangePinOutput

    typedef struct _QmiMessageDmsUimChangePinOutput QmiMessageDmsUimChangePinOutput;

The QmiMessageDmsUimChangePinOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0